This is an automated email from the git hooks/post-receive script.
bernie.ogden pushed a commit to branch bernie/benchmarking-agents
in repository toolchain/abe.
commit 71f8a33d55eb99019fc60095c26e5bec75c83fa1
Author: Bernard Ogden <bernie.ogden(a)linaro.org>
Date: Thu Jul 30 16:55:23 2015 +0200
Rely on a single agent
Now that we use a onetime key in default location, we do not have
to put that key in an agent. This makes it fairly simple to let
abe handle all git interactions, as we don't need to clone with
one key and interact with targets with another.
Change-Id: I60fc074df683d634f1e19c670a50ccaedaa877c8
---
config/bench/lava/host-session | 22 ++++------------------
1 file changed, 4 insertions(+), 18 deletions(-)
diff --git a/config/bench/lava/host-session b/config/bench/lava/host-session
index f4edc8c..30f2091 100755
--- a/config/bench/lava/host-session
+++ b/config/bench/lava/host-session
@@ -59,19 +59,11 @@ chmod 755 /usr/local/bin/git-new-workdir
if ! ssh-keygen -P '' -f ~/.ssh/id_rsa > /dev/null < /dev/null; then
exit 1
fi
-eval `ssh-agent`
-ssh-add ~/.ssh/id_rsa
#Create directory for communication with other hosts
mkdir ~/data || exit 1
-#Need to be able to ssh to self to get local sources
-#Can reuse the onetime key for this
-cat ~/.ssh/id_rsa.pub >> ~/.ssh/authorized_keys
-echo -n 'localhost ' >> ~/.ssh/known_hosts
-cat /etc/ssh/ssh_host_ecdsa_key.pub >> ~/.ssh/known_hosts
-
-#Also need to be able to ssh to dev-private
+#Need to be able to ssh to dev-private
echo 'dev-private.git.linaro.org ecdsa-sha2-nistp256 AAAAE2VjZHNhLXNoYTItbmlzdHAyN [...]
#Generate config file for each target in multinode job
@@ -82,14 +74,11 @@ ip_addr="$(lava-network query `lava-group | grep '[[:blank:]]\+ [...]
#Request agent just before we need it
#This would be two keys in one agent if we wanted one for source, one for job
echo "*** WAITING FOR AGENT: ${ip_addr}"
-echo "ssh -o ControlMaster=no -o ControlPath=/dev/null -A ${ip_addr}.lab 'ln -sf \ [...]
+echo "ssh -o ControlMaster=no -o ControlPath=/dev/null -A ${ip_addr}.lab 'ln -sf \ [...]
while ! test -e ~/data/socket; do
inotifywait -e create ~/data
done
-#Best practice would be to use abe to do this, but I hope this is temporary
-SSH_AUTH_SOCK=~/data/socket git clone "`grep ${benchmark} ${ABE_DIR}/config/source [...]
-#An alternative to the following would be to pass ${benchmark}=ssh://... to abe.sh
-sed -i "s#^\\(${benchmark}\\.git[[:blank:]]\\+\\).*#\\1ssh://localhost/~/benchsrc/ [...]
+export SSH_AUTH_SOCK=~/data/socket
target_names=()
for lava_name in `lava-group | grep -v '[[:blank:]]*host$' | awk '{print $1}'`; do
@@ -99,7 +88,7 @@ for lava_name in `lava-group | grep -v '[[:blank:]]*host$' | awk [...]
#Check that target is accessible, add it to our known_hosts,
#add our one-time key to its authorized_keys
- if ! cat ~/.ssh/id_rsa.pub | SSH_AUTH_SOCK=~/data/socket ssh -o StrictHostKeyChe [...]
+ if ! cat ~/.ssh/id_rsa.pub | ssh -o StrictHostKeyChecking=no "${target_ip}" "cat [...]
echo "Could not access target ${target_ip} (${lava_name})" >&2
exit 1
fi
@@ -121,9 +110,6 @@ for lava_name in `lava-group | grep -v '[[:blank:]]*host$' | aw [...]
fi
done
-#Don't need the agent any more, kill the socket
-rm ~/data/socket
-
export targets="${target_names[@]}"
echo "Running benchmark... I may be some time"
--
To stop receiving notification emails like this one, please contact
the administrator of this repository.
This is an automated email from the git hooks/post-receive script.
bernie.ogden pushed a change to branch bernie/benchmarking-agents
in repository toolchain/abe.
discards f26dcbe Rely on a single agent
new 71f8a33 Rely on a single agent
This update added new revisions after undoing existing revisions.
That is to say, some revisions that were in the old version of the
branch are not in the new version. This situation occurs
when a user --force pushes a change and generates a repository
containing something like this:
* -- * -- B -- O -- O -- O (f26dcbe)
\
N -- N -- N refs/heads/bernie/benchmarking-agents (71f8a33)
You should already have received notification emails for all of the O
revisions, and so the following emails describe only the N revisions
from the common base, B.
Any revisions marked "omits" are not gone; other references still
refer to them. Any revisions marked "discards" are gone forever.
The 1 revisions listed above as "new" are entirely new to this
repository and will be described in separate emails. The revisions
listed as "adds" were already present in the repository and have only
been added to this reference.
Summary of changes:
config/bench/lava/host-session | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)
--
To stop receiving notification emails like this one, please contact
the administrator of this repository.
This is an automated email from the git hooks/post-receive script.
bernie.ogden pushed a change to branch bernie/benchmarking-agents
in repository toolchain/abe.
at f26dcbe Rely on a single agent
This branch includes the following new commits:
new 0e228e7 Put all exports for Benchmark.job in same place
new f26dcbe Rely on a single agent
The 2 revisions listed above as "new" are entirely new to this
repository and will be described in separate emails. The revisions
listed as "adds" were already present in the repository and have only
been added to this reference.
--
To stop receiving notification emails like this one, please contact
the administrator of this repository.
This is an automated email from the git hooks/post-receive script.
bernie.ogden pushed a commit to branch bernie/benchmarking-agents
in repository toolchain/abe.
commit f26dcbe85ed68ea1fbc1017ace5e0b914c162437
Author: Bernard Ogden <bernie.ogden(a)linaro.org>
Date: Thu Jul 30 16:55:23 2015 +0200
Rely on a single agent
Now that we use a onetime key in default location, we do not have
to put that key in an agent. This makes it fairly simple to let
abe handle all git interactions, as we don't need to clone with
one key and interact with targets with another.
Change-Id: I60fc074df683d634f1e19c670a50ccaedaa877c8
---
config/bench/lava/host-session | 22 ++++------------------
1 file changed, 4 insertions(+), 18 deletions(-)
diff --git a/config/bench/lava/host-session b/config/bench/lava/host-session
index f4edc8c..982ec87 100755
--- a/config/bench/lava/host-session
+++ b/config/bench/lava/host-session
@@ -59,19 +59,11 @@ chmod 755 /usr/local/bin/git-new-workdir
if ! ssh-keygen -P '' -f ~/.ssh/id_rsa > /dev/null < /dev/null; then
exit 1
fi
-eval `ssh-agent`
-ssh-add ~/.ssh/id_rsa
#Create directory for communication with other hosts
mkdir ~/data || exit 1
-#Need to be able to ssh to self to get local sources
-#Can reuse the onetime key for this
-cat ~/.ssh/id_rsa.pub >> ~/.ssh/authorized_keys
-echo -n 'localhost ' >> ~/.ssh/known_hosts
-cat /etc/ssh/ssh_host_ecdsa_key.pub >> ~/.ssh/known_hosts
-
-#Also need to be able to ssh to dev-private
+#Need to be able to ssh to dev-private
echo 'dev-private.git.linaro.org ecdsa-sha2-nistp256 AAAAE2VjZHNhLXNoYTItbmlzdHAyN [...]
#Generate config file for each target in multinode job
@@ -82,14 +74,11 @@ ip_addr="$(lava-network query `lava-group | grep '[[:blank:]]\+ [...]
#Request agent just before we need it
#This would be two keys in one agent if we wanted one for source, one for job
echo "*** WAITING FOR AGENT: ${ip_addr}"
-echo "ssh -o ControlMaster=no -o ControlPath=/dev/null -A ${ip_addr}.lab 'ln -sf \ [...]
+echo "ssh -o ControlMaster=no -o ControlPath=/dev/null -A ${ip_addr}.lab 'ln -sf \ [...]
while ! test -e ~/data/socket; do
inotifywait -e create ~/data
done
-#Best practice would be to use abe to do this, but I hope this is temporary
-SSH_AUTH_SOCK=~/data/socket git clone "`grep ${benchmark} ${ABE_DIR}/config/source [...]
-#An alternative to the following would be to pass ${benchmark}=ssh://... to abe.sh
-sed -i "s#^\\(${benchmark}\\.git[[:blank:]]\\+\\).*#\\1ssh://localhost/~/benchsrc/ [...]
+export SSH_AUTH_SOCK=~/data/socket
target_names=()
for lava_name in `lava-group | grep -v '[[:blank:]]*host$' | awk '{print $1}'`; do
@@ -99,7 +88,7 @@ for lava_name in `lava-group | grep -v '[[:blank:]]*host$' | awk [...]
#Check that target is accessible, add it to our known_hosts,
#add our one-time key to its authorized_keys
- if ! cat ~/.ssh/id_rsa.pub | SSH_AUTH_SOCK=~/data/socket ssh -o StrictHostKeyChe [...]
+ if ! cat ~/.ssh/id_rsa.pub | ssh -o StrictHostKeyChecking=no "${target_ip}" "cat [...]
echo "Could not access target ${target_ip} (${lava_name})" >&2
exit 1
fi
@@ -121,9 +110,6 @@ for lava_name in `lava-group | grep -v '[[:blank:]]*host$' | aw [...]
fi
done
-#Don't need the agent any more, kill the socket
-rm ~/data/socket
-
export targets="${target_names[@]}"
echo "Running benchmark... I may be some time"
--
To stop receiving notification emails like this one, please contact
the administrator of this repository.
This is an automated email from the git hooks/post-receive script.
bernie.ogden pushed a commit to branch bernie/benchmarking-agents
in repository toolchain/abe.
commit 0e228e7a0bf34a6234995905078fe44ff4998476
Author: Bernard Ogden <bernie.ogden(a)linaro.org>
Date: Thu Jul 30 16:53:07 2015 +0200
Put all exports for Benchmark.job in same place
Only exports which actually cannot go at the beginning are still
elsewhere.
Change-Id: Ic412d2cc5783ce83055203466b9280b9e952f3c5
---
config/bench/lava/host-session | 12 +++++++-----
1 file changed, 7 insertions(+), 5 deletions(-)
diff --git a/config/bench/lava/host-session b/config/bench/lava/host-session
index 8646b3f..f4edc8c 100755
--- a/config/bench/lava/host-session
+++ b/config/bench/lava/host-session
@@ -38,6 +38,13 @@ else
export compiler_flags="$5"
fi
+#Non-parameters that we need to pass to Benchmark.job
+export ABE_DIR
+export post_target_cmd='touch ${HOME}/messages/release'
+export maindir="/${HOME}/bench"
+mkdir "${maindir}" || exit 1
+chmod 700 "${maindir}" || exit 1
+
#Create directory to store src
if ! (mkdir ~/benchsrc && chmod 700 ~/benchsrc); then
echo "Failed to create directory for source" >&2
@@ -117,12 +124,7 @@ done
#Don't need the agent any more, kill the socket
rm ~/data/socket
-export ABE_DIR
export targets="${target_names[@]}"
-export maindir="/${HOME}/bench"
-export post_target_cmd='touch ${HOME}/messages/release'
-mkdir "${maindir}"
-chmod 700 "${maindir}"
echo "Running benchmark... I may be some time"
if ! "${ABE_DIR}"/scripts/Benchmark.job; then
--
To stop receiving notification emails like this one, please contact
the administrator of this repository.
This is an automated email from the git hooks/post-receive script.
unknown user pushed a change to branch trunk
in repository gcc.
from de299e5 2015-07-30 Richard Biener <rguenther(a)suse.de>
new f4a09f4 gcc/ * builtins.c (HAVE_atomic_clear, gen_atomic_clear): Del [...]
The 1 revisions listed above as "new" are entirely new to this
repository and will be described in separate emails. The revisions
listed as "adds" were already present in the repository and have only
been added to this reference.
Summary of changes:
gcc/ChangeLog | 6 ++++++
gcc/builtins.c | 12 ------------
2 files changed, 6 insertions(+), 12 deletions(-)
--
To stop receiving notification emails like this one, please contact
the administrator of this repository.
This is an automated email from the git hooks/post-receive script.
unknown user pushed a change to branch trunk
in repository gcc.
from 0879fd1 * testsuite/experimental/filesystem/operations/current_path. [...]
new 6e25659 gcc/ 2015-07-30 David Sherwood <david.sherwood(a)arm.com>
new de299e5 2015-07-30 Richard Biener <rguenther(a)suse.de>
The 2 revisions listed above as "new" are entirely new to this
repository and will be described in separate emails. The revisions
listed as "adds" were already present in the repository and have only
been added to this reference.
Summary of changes:
gcc/ChangeLog | 27 +++++++++
gcc/config/aarch64/aarch64-simd.md | 2 +-
gcc/config/aarch64/aarch64.c | 2 +-
gcc/config/arm/arm.c | 9 ++-
gcc/config/i386/i386.c | 18 +++---
gcc/config/i386/sse.md | 6 +-
gcc/config/rs6000/rs6000.c | 2 +-
gcc/config/spu/spu.c | 8 +--
gcc/gimple-fold.c | 120 +++++++++++++++++--------------------
gcc/simplify-rtx.c | 22 +++----
10 files changed, 114 insertions(+), 102 deletions(-)
--
To stop receiving notification emails like this one, please contact
the administrator of this repository.
This is an automated email from the git hooks/post-receive script.
unknown user pushed a change to branch master
in repository gcc.
from 0879fd1 * testsuite/experimental/filesystem/operations/current_path. [...]
new 6e25659 gcc/ 2015-07-30 David Sherwood <david.sherwood(a)arm.com>
new de299e5 2015-07-30 Richard Biener <rguenther(a)suse.de>
The 2 revisions listed above as "new" are entirely new to this
repository and will be described in separate emails. The revisions
listed as "adds" were already present in the repository and have only
been added to this reference.
Summary of changes:
gcc/ChangeLog | 27 +++++++++
gcc/config/aarch64/aarch64-simd.md | 2 +-
gcc/config/aarch64/aarch64.c | 2 +-
gcc/config/arm/arm.c | 9 ++-
gcc/config/i386/i386.c | 18 +++---
gcc/config/i386/sse.md | 6 +-
gcc/config/rs6000/rs6000.c | 2 +-
gcc/config/spu/spu.c | 8 +--
gcc/gimple-fold.c | 120 +++++++++++++++++--------------------
gcc/simplify-rtx.c | 22 +++----
10 files changed, 114 insertions(+), 102 deletions(-)
--
To stop receiving notification emails like this one, please contact
the administrator of this repository.
This is an automated email from the git hooks/post-receive script.
unknown user pushed a change to branch trunk
in repository gcc.
from 436dc21 2015-07-30 Richard Biener <rguenther(a)suse.de>
new 0879fd1 * testsuite/experimental/filesystem/operations/current_path. [...]
The 1 revisions listed above as "new" are entirely new to this
repository and will be described in separate emails. The revisions
listed as "adds" were already present in the repository and have only
been added to this reference.
Summary of changes:
libstdc++-v3/ChangeLog | 5 +++++
.../testsuite/experimental/filesystem/operations/current_path.cc | 6 +++---
2 files changed, 8 insertions(+), 3 deletions(-)
--
To stop receiving notification emails like this one, please contact
the administrator of this repository.
This is an automated email from the git hooks/post-receive script.
bernie.ogden pushed a commit to branch bernie/benchmarking
in repository toolchain/abe.
commit aa9a7023fb5cfc4de0dd0cf7fcafab30eb5e469d
Author: Bernard Ogden <bernie.ogden(a)linaro.org>
Date: Thu Jul 30 14:14:29 2015 +0200
Put dev-private public host key into known_hosts
Will need updating from time to time, but will fail early and
noisily, so that's OK.
Change-Id: I64540ed54ecd820f57deb634305f6f8f0d1631bc
---
config/bench/lava/host-session | 3 +++
1 file changed, 3 insertions(+)
diff --git a/config/bench/lava/host-session b/config/bench/lava/host-session
index 2dc80c7..8646b3f 100755
--- a/config/bench/lava/host-session
+++ b/config/bench/lava/host-session
@@ -64,6 +64,9 @@ cat ~/.ssh/id_rsa.pub >> ~/.ssh/authorized_keys
echo -n 'localhost ' >> ~/.ssh/known_hosts
cat /etc/ssh/ssh_host_ecdsa_key.pub >> ~/.ssh/known_hosts
+#Also need to be able to ssh to dev-private
+echo 'dev-private.git.linaro.org ecdsa-sha2-nistp256 AAAAE2VjZHNhLXNoYTItbmlzdHAyN [...]
+
#Generate config file for each target in multinode job
lava-network broadcast eth0
lava-network collect eth0
--
To stop receiving notification emails like this one, please contact
the administrator of this repository.